# Method: customers.customBiddingAlgorithms.patch

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/patch#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/patch#body.aspect)

Updates the requested Ads Data Hub-managed custom bidding algorithm.

### HTTP request

`PATCH https://adsdatahub.googleapis.com/v1/{customBiddingAlgorithm.name=customers/*/customBiddingAlgorithms/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customBiddingAlgorithm.name` | `string` Output only. Immutable. Name that uniquely identifies an Ads Data Hub custom bidding algorithm. It has the form customers/\[customerId\]/customBiddingAlgorithms/\[customBiddingAlgorithmId\] |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. Field mask to support partial updates. Only the following paths may be updated via the API: - title - dv360AdvertiserId This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms#CustomBiddingAlgorithm`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms#CustomBiddingAlgorithm`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`